<template>
    <view class="user-agreement">
        <!-- <view class="agreement-title">{{ aboutUsData.title }}</view> -->
        <view class="agreement-content">
            <rich-text :nodes="aboutUsData.content"></rich-text>
        </view>
    </view>
</template>

<script>
export default {
    data() {
        return {
            aboutUsData: {
                title: "",
                content: "",
            },
        };
    },
    onLoad() {
        this.getAboutUs();
    },
    methods: {
        // 获取关于书嗨
        getAboutUs() {
            uni.showLoading({
                title: "加载中...",
            });
            uni.$u.http
                .get("/token/getArticleOne?code=aboutShuHi")
                .then((res) => {
                    if (res.code === 200) {
                        this.aboutUsData = res.data;
                    } else {
                        this.$u.toast(res.msg || "获取关于书嗨失败");
                    }
                })
                .finally(() => {
                    uni.hideLoading();
                });
        },
    },
};
</script>

<style lang="scss" scoped>
.user-agreement {
    min-height: 100vh;
    background-color: $app-theme-bg-color;
    padding: 30rpx;
    padding-bottom: 50px;

    .agreement-title {
        font-size: 36rpx;
        font-weight: bold;
        color: $app-theme-text-color;
        text-align: center;
        margin-bottom: 40rpx;
    }

    .agreement-content {
        font-size: 28rpx;
        color: $app-theme-text-color;
        line-height: 1.8;

        :deep(rich-text) {
            width: 100%;
        }
    }
}
</style>
